
QGIS Application - Bug report #2990

qgis_mapserv.fcgi starts to use a lot of memory and not release it after

2010-09-10 01:40 AM - yellow -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13050

Description

I used QgisMapServer and noticed the problem - if I often run getFeatureInfo (from QGIS or OpenLayers), qgis_mapserv.fcgi starts to use

a lot of memory and not release it after.

For 1 minute the process has grown more that 800 MB of memory. This happens even if the receive information on the same point. This

behavior is very similar to a memory leak.

History

#1 - 2010-09-11 07:17 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

The memory leak is fixed in commit:52e58915 (SVN r14220). Please test and reopen the ticket if it does not solve the problem.

#2 - 2010-09-11 02:54 PM - yellow -

excellent
